Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class FindByTherapeuticMoietyType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.FindByTherapeuticMoietyType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class FindByTherapeuticMoietyType

extends Object
implements Serializable

Java class for FindByTherapeuticMoietyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByTherapeuticMoietyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="TherapeuticMoietyCode" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="TherapeuticMoietyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindByTherapeuticMoietyType()`

Method Summary
`Integer` | `getTherapeuticMoietyCode()` Gets the value of the therapeuticMoietyCode property.
`String` | `getTherapeuticMoietyName()` Gets the value of the therapeuticMoietyName property.
`void` | `setTherapeuticMoietyCode(Integer value)` Sets the value of the therapeuticMoietyCode property.
`void` | `setTherapeuticMoietyName(String value)` Sets the value of the therapeuticMoietyName property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindByTherapeuticMoietyType

    public FindByTherapeuticMoietyType()

Method Detail

### getTherapeuticMoietyName

    public String getTherapeuticMoietyName()

  Gets the value of the therapeuticMoietyName property.

  Returns:
    possible object is `String`

### setTherapeuticMoietyName

    public void setTherapeuticMoietyName(String value)

  Sets the value of the therapeuticMoietyName property.

  Parameters:
    `value` - allowed object is `String`

### getTherapeuticMoietyCode

    public Integer getTherapeuticMoietyCode()

  Gets the value of the therapeuticMoietyCode property.

  Returns:
    possible object is `Integer`

### setTherapeuticMoietyCode

    public void setTherapeuticMoietyCode(Integer value)

  Sets the value of the therapeuticMoietyCode property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.